Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

HDP 2.6.1 oozie bigtop tomcat rpm error

Solved Go to solution

HDP 2.6.1 oozie bigtop tomcat rpm error

Rising Star

in HDP 2.6.1 oozie has dependency on bigtop tomcat but that rpm cannot be downloaded ...

====================================================================================================================================================================================
 Package                                                             Arch                         Version                                Repository                            Size
====================================================================================================================================================================================
Installing:
 oozie_2_6_4_0_91                                                    noarch                       4.2.0.2.6.4.0-91                       HDP-2.6-repo-1                       4.9 k
Installing for dependencies:
 bigtop-tomcat                                                       noarch                       6.0.48-1                               HDP-2.6-repo-1                       5.5 M
 oozie_2_6_4_0_91-client                                             noarch                       4.2.0.2.6.4.0-91                       HDP-2.6-repo-1                        28 M
 oozie_2_6_4_0_91-common                                             noarch                       4.2.0.2.6.4.0-91                       HDP-2.6-repo-1                       121 M

results in something like this

bigtop-tomcat-6.0.48-1.noarch.rpm                                                                                                                            | 5.5 MB     00:00     
http://myserver:8081/artifactory/hortonworks-hdp/bigtop-tomcat/bigtop-tomcat-6.0.48-1.noarch.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=HDP-2.6-repo-1 clean metadata
Trying other mirror.
Error Downloading Packages:
  bigtop-tomcat-6.0.48-1.noarch: failure: bigtop-tomcat/bigtop-tomcat-6.0.48-1.noarch.rpm from HDP-2.6-repo-1: [Errno 256] No more mirrors to try.

Is there something wrong with this rpm ?

Do I need to import signatures ?

$ rpm --checksig bigtop-tomcat-6.0.48-1.noarch.rpm 
bigtop-tomcat-6.0.48-1.noarch.rpm: RSA sha1 ((MD5) PGP) md5 NOT OK (MISSING KEYS: (MD5) PGP#07513cad)
$ rpm --checksig --nogpg bigtop-tomcat-6.0.48-1.noarch.rpm 
bigtop-tomcat-6.0.48-1.noarch.rpm: sha1 md5 OK
1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: HDP 2.6.1 oozie bigtop tomcat rpm error

Rising Star

looks like somehow a corrupt version got into our repo. deleted it and issues a new request using yum install which got the latest version from the mirror and things were fine again.

1 REPLY 1
Highlighted

Re: HDP 2.6.1 oozie bigtop tomcat rpm error

Rising Star

looks like somehow a corrupt version got into our repo. deleted it and issues a new request using yum install which got the latest version from the mirror and things were fine again.